Bug 3688 - it still use -mv8 obsolete switch on sparc, gcc4 reject it.
Summary: it still use -mv8 obsolete switch on sparc, gcc4 reject it.
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Build/Monolithic (show other bugs)
Version: git
Hardware: SPARC Linux (All)
: high major
Assignee: Adam Jackson
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-03 03:23 UTC by Daniel Stone
Modified: 2007-03-07 11:32 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Description FreeDesktop Bugzilla Database Corruption Fix User 2005-07-03 03:23:37 UTC
Upstream need gcc4 patch.In 2 places it still use -mv8  
obsolete switch passed to gcc.
Comment 1 FreeDesktop Bugzilla Database Corruption Fix User 2005-07-03 03:25:35 UTC
Patch below, it works for me, xorg compiles fine. 
 
--- xc/programs/Xserver/hw/xfree86/drivers/sunffb/Imakefile.orig          
2004-06-16 05:44:00.000000000 -0400   
+++ xc/programs/Xserver/hw/xfree86/drivers/sunffb/Imakefile     2005-06-26   
22:46:51.000000000 -0400   
@@ -22,7 +22,7 @@   
 #if AsOutputArchSize == 32   
 #define FFBCObjectRule(name)                                           @@\   
 name.o: name.c                                                         @@\   
-       ObjectCompile(-mv8 -mtune=ultrasparc \   
+       ObjectCompile(-mcpu=v8 \   
                $(GCCVISOPTION) $(VISOPTIONS) $(DRIDEFINES))            @@\   
        dd if=/dev/zero bs=1 count=3 2>/dev/null | \   
                dd of=$@ bs=1 count=3 seek=36 conv=notrunc 2>/dev/null  @@\   
@@ -31,10 +31,10 @@   
                dd of=$@ bs=1 count=1 seek=19 conv=notrunc 2>/dev/null  @@\   
                                                                        @@\   
 name.i: name.c                                                         @@\   
-       CPPOnlyCompile(name.c,-mv8 \   
+       CPPOnlyCompile(name.c,-mcpu=v8 \   
                $(GCCVISOPTION) $(VISOPTIONS) $(DRIDEFINES))            @@\   
                                                                        @@\   
-CenterLoadTarget(debug_src,name.c,NullParameter,$(ALLDEFINES) -mv8 \   
+CenterLoadTarget(debug_src,name.c,NullParameter,$(ALLDEFINES) -mcpu=v8 \   
        $(GCCVISOPTION) $(VISOPTIONS) $(DRIDEFINES))   
 #define FFBsObjectRule(name)                                           @@\   
 name.o: name.s                                                         @@\  
Comment 2 FreeDesktop Bugzilla Database Corruption Fix User 2005-07-03 03:36:48 UTC
And second place: 
--- xc/extras/Mesa/configs/linux-ultrasparc.orig        2004-12-14  
20:50:55.000000000 -0500  
+++ xc/extras/Mesa/configs/linux-ultrasparc     2005-06-26 22:36:09.000000000  
-0400  
@@ -7,8 +7,8 @@  
 # Compiler and flags  
 CC = gcc  
 CXX = g++  
-CFLAGS = -mv8 -O2 -mtune=ultrasparc -ansi -pedantic -fPIC -D_SVID_SOURCE  
-D_BSD_SOURCE -I/usr/X11R6/include -DUSE_XSHM  
-CXXFLAGS = -mv8 -O2 -mtune=ultrasparc -ansi -pedantic -fPIC -D_SVID_SOURCE  
-D_BSD_SOURCE  
+CFLAGS = -mcpu=v8 -O2 -ansi -pedantic -fPIC -D_SVID_SOURCE  
-D_BSD_SOURCE -I/usr/X11R6/include -DUSE_XSHM  
+CXXFLAGS = -mcpu=v8 -O2 -ansi -pedantic -fPIC  
-D_SVID_SOURCE -D_BSD_SOURCE  
 GLUT_CFLAGS = -fexceptions  
  
 GL_LIB_DEPS = -L/usr/X11R6/lib -lX11 -lXext -lm -lpthread  
Comment 3 Adam Jackson 2005-07-03 12:27:54 UTC
these work on gcc back to 2.95.3.  accepting, will commit shortly.
Comment 4 Alan Coopersmith 2005-10-03 17:21:05 UTC
Original bug comments lost in bugzilla disk death.   xorg-team archives show these:

           Summary: it still use -mv8
                    obsolete switch on sparc.
           Product: xorg
           Version: CVS_head
          Platform: Sun
        OS/Version: Linux
            Status: NEW
          Severity: major
          Priority: P2
         Component: * Other
        AssignedTo: xorg-team at lists.x.org
        ReportedBy: rezso at rdsor.ro


Upstream need gcc4 patch.In 2 places it still use -mv8  
obsolete switch passed to gcc.          

------- Additional Comments From rezso at rdsor.ro  2005-07-03 03:25 -------
Patch below, it works for me, xorg compiles fine. 
 
--- xc/programs/Xserver/hw/xfree86/drivers/sunffb/Imakefile.orig          
2004-06-16 05:44:00.000000000 -0400   
+++ xc/programs/Xserver/hw/xfree86/drivers/sunffb/Imakefile     2005-06-26   
22:46:51.000000000 -0400   
@@ -22,7 +22,7 @@   
 #if AsOutputArchSize == 32   
 #define FFBCObjectRule(name)                                           @@\   
 name.o: name.c                                                         @@\   
-       ObjectCompile(-mv8 -mtune=ultrasparc \   
+       ObjectCompile(-mcpu=v8 \   
                $(GCCVISOPTION) $(VISOPTIONS) $(DRIDEFINES))            @@\   
        dd if=/dev/zero bs=1 count=3 2>/dev/null | \   
                dd of=$@ bs=1 count=3 seek=36 conv=notrunc 2>/dev/null  @@\   
@@ -31,10 +31,10 @@   
                dd of=$@ bs=1 count=1 seek=19 conv=notrunc 2>/dev/null  @@\   
                                                                        @@\   
 name.i: name.c                                                         @@\   
-       CPPOnlyCompile(name.c,-mv8 \   
+       CPPOnlyCompile(name.c,-mcpu=v8 \   
                $(GCCVISOPTION) $(VISOPTIONS) $(DRIDEFINES))            @@\   
                                                                        @@\   
-CenterLoadTarget(debug_src,name.c,NullParameter,$(ALLDEFINES) -mv8 \   
+CenterLoadTarget(debug_src,name.c,NullParameter,$(ALLDEFINES) -mcpu=v8 \   
        $(GCCVISOPTION) $(VISOPTIONS) $(DRIDEFINES))   
 #define FFBsObjectRule(name)                                           @@\   
 name.o: name.s                                                         @@\    
       
     
     
------- Additional Comments From rezso at rdsor.ro  2005-07-03 03:36 -------
And second place: 
--- xc/extras/Mesa/configs/linux-ultrasparc.orig        2004-12-14  
20:50:55.000000000 -0500  
+++ xc/extras/Mesa/configs/linux-ultrasparc     2005-06-26 22:36:09.000000000  
-0400  
@@ -7,8 +7,8 @@  
 # Compiler and flags  
 CC = gcc  
 CXX = g++  
-CFLAGS = -mv8 -O2 -mtune=ultrasparc -ansi -pedantic -fPIC -D_SVID_SOURCE  
-D_BSD_SOURCE -I/usr/X11R6/include -DUSE_XSHM  
-CXXFLAGS = -mv8 -O2 -mtune=ultrasparc -ansi -pedantic -fPIC -D_SVID_SOURCE  
-D_BSD_SOURCE  
+CFLAGS = -mcpu=v8 -O2 -ansi -pedantic -fPIC -D_SVID_SOURCE  
-D_BSD_SOURCE -I/usr/X11R6/include -DUSE_XSHM  
+CXXFLAGS = -mcpu=v8 -O2 -ansi -pedantic -fPIC  
-D_SVID_SOURCE -D_BSD_SOURCE  
 GLUT_CFLAGS = -fexceptions  
  
 GL_LIB_DEPS = -L/usr/X11R6/lib -lX11 -lXext -lm -lpthread            
     
Comment 5 Daniel Stone 2007-02-27 01:27:16 UTC
Sorry about the phenomenal bug spam, guys.  Adding xorg-team@ to the QA contact so bugs don't get lost in future.
Comment 6 Daniel Stone 2007-03-07 11:32:35 UTC
this has subsequently been fixed, aiui
Comment 7 Daniel Stone 2007-03-07 11:32:39 UTC
this has subsequently been fixed, aiui


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.